Bug 1202485 - TypeError: BlockDev.lvm_lvremove() takes exactly 3 arguments (2 given)
Summary: TypeError: BlockDev.lvm_lvremove() takes exactly 3 arguments (2 given)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c44f64a8ac241686c51ede168f8...
Depends On:
Blocks: F22BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-03-16 17:42 UTC by Adam Williamson
Modified: 2015-03-23 07:11 UTC (History)
7 users (show)

Fixed In Version: anaconda-22.20.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 07:11:08 UTC


Attachments (Terms of Use)
File: anaconda-tb (384.65 KB, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: anaconda.log (20.93 KB, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: dnf.log (15.82 KB, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: environ (492 bytes, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: lsblk_output (1.78 KB, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: nmcli_dev_list (1.07 KB, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: os_info (443 bytes, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: storage.log (135.89 KB, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: syslog (68.73 KB, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: ifcfg.log (2.26 KB, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: packaging.log (1.50 KB, text/plain)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details
File: program.log (39.90 KB, application/octet-stream)
2015-03-16 17:42 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2015-03-16 17:42:14 UTC
Description of problem:
Ran an install with the following custom layout:

swap (2GB)
/ (btrfs, 18GB)

over an existing F22 install (specified to delete all existing partitions) to test https://bugzilla.redhat.com/show_bug.cgi?id=1200539 , but didn't reach that point, looks like it fails trying to remove the existing install.

Version-Release number of selected component:
anaconda-22.20.4-1

The following was filed automatically by anaconda:
anaconda 22.20.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devices/lvm.py", line 684, in _destroy
    blockdev.lvm_lvremove(self.vg.name, self._name)
  File "/usr/lib/python2.7/site-packages/blivet/devices/storage.py", line 538, in destroy
    self._destroy()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 346, in execute
    self.device.destroy()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 361, in processActions
    action.execute(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/blivet.py", line 162, in doIt
    self.devicetree.processActions(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/osinstall.py", line 1057, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 188, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 238, in run
    threading.Thread.run(self, *args, **kwargs)
TypeError: BlockDev.lvm_lvremove() takes exactly 3 arguments (2 given)

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-22_B_T2-x86_64 quiet
dnf.rpm.log:    Mar 16 17:39:15 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.0-0.rc1.git0.1.fc22.x86_64
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 Adam Williamson 2015-03-16 17:42:16 UTC
Created attachment 1002424 [details]
File: anaconda-tb

Comment 2 Adam Williamson 2015-03-16 17:42:18 UTC
Created attachment 1002425 [details]
File: anaconda.log

Comment 3 Adam Williamson 2015-03-16 17:42:19 UTC
Created attachment 1002426 [details]
File: dnf.log

Comment 4 Adam Williamson 2015-03-16 17:42:19 UTC
Created attachment 1002427 [details]
File: environ

Comment 5 Adam Williamson 2015-03-16 17:42:20 UTC
Created attachment 1002428 [details]
File: lsblk_output

Comment 6 Adam Williamson 2015-03-16 17:42:21 UTC
Created attachment 1002429 [details]
File: nmcli_dev_list

Comment 7 Adam Williamson 2015-03-16 17:42:22 UTC
Created attachment 1002430 [details]
File: os_info

Comment 8 Adam Williamson 2015-03-16 17:42:23 UTC
Created attachment 1002431 [details]
File: storage.log

Comment 9 Adam Williamson 2015-03-16 17:42:24 UTC
Created attachment 1002432 [details]
File: syslog

Comment 10 Adam Williamson 2015-03-16 17:42:25 UTC
Created attachment 1002433 [details]
File: ifcfg.log

Comment 11 Adam Williamson 2015-03-16 17:42:26 UTC
Created attachment 1002434 [details]
File: packaging.log

Comment 12 Adam Williamson 2015-03-16 17:42:27 UTC
Created attachment 1002435 [details]
File: program.log

Comment 13 Adam Williamson 2015-03-16 17:44:25 UTC
Nominating as a Beta blocker, criterion:

" Correctly interpret, and modify as described below, any disk with a valid ms-dos or gpt disk label and partition table containing ext4 partitions, LVM and/or btrfs volumes, and/or software RAID arrays at RAID levels 0, 1 and 5 containing ext4 partitions
Create mount points backed by ext4 partitions, LVM volumes or btrfs volumes, or software RAID arrays at RAID levels 0, 1 and 5 containing ext4 partitions

...

Remove existing storage volumes"

https://fedoraproject.org/wiki/Fedora_22_Beta_Release_Criteria#Custom_partitioning

Comment 14 Adam Williamson 2015-03-16 17:50:44 UTC
I'm guessing the problem here is that https://github.com/rhinstaller/libblockdev/commit/fca4c976eb7a38395782fb7f24394ead6718fd4f is missing from TC2.

Comment 15 Adam Williamson 2015-03-16 17:53:34 UTC
Yes, 0.7 was built for F22, but never submitted as an update:

http://koji.fedoraproject.org/koji/buildinfo?buildID=615748

It needs to be added to the anaconda update, I think.

Comment 16 Mike Ruckman 2015-03-16 19:03:32 UTC
Another user experienced a similar problem:

1. Launch installer from Live image
2. Enter storage spoke
3. Reclaim space (all)
4. Click begin install

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-KDE-i686-22_B-T2 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.0.0-0.rc1.git0.1.fc22.i686
other involved packages: python-blivet-1.0.3-1.fc22.noarch, python-libs-2.7.9-5.fc22.i686
package:        anaconda-core-22.20.4-1.fc22.i686
packaging.log:  
product:        Fedora"
reason:         TypeError: BlockDev.lvm_lvremove() takes exactly 3 arguments (2 given)
release:        Fedora release 22 (Twenty Two)
version:        Fedora

Comment 17 Adam Williamson 2015-03-16 20:19:38 UTC
this can be set to modified as the updated blockdev has been edited into the update; TC3 should have this resolved.

Comment 18 Fedora Update System 2015-03-19 19:09:19 UTC
anaconda-22.20.6-1.fc22, python-blivet-1.0.5-1.fc22, libblockdev-0.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libblockdev-0.7-1.fc22,python-blivet-1.0.5-1.fc22,anaconda-22.20.6-1.fc22

Comment 19 Fedora Update System 2015-03-21 05:03:30 UTC
Package anaconda-22.20.6-1.fc22, python-blivet-1.0.5-1.fc22, libblockdev-0.7-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-22.20.6-1.fc22 python-blivet-1.0.5-1.fc22 libblockdev-0.7-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4351/libblockdev-0.7-1.fc22,python-blivet-1.0.5-1.fc22,anaconda-22.20.6-1.fc22
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2015-03-23 07:11:08 UTC
anaconda-22.20.6-1.fc22, python-blivet-1.0.5-1.fc22, libblockdev-0.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.